/**
 * Created by zhang on 2018/7/12.
 */
//单体模板库
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');
const monomerTemplate_lib = new Schema({
        ID:{type:String,index:true},
        creator: String,
        createDate: Number,
        recentOpr: [oprSchema],
        name: String,
        compilationID: String,
        data: {
            type: [Schema.Types.Mixed],
            default: []
        }
    },
    {versionKey: false}
);

mongoose.model("std_single_info", monomerTemplate_lib,"std_single_info");